nodes['home.nas'] = {
    'hostname': '172.19.138.20',
    'bundles': {
        'backup-server',
        'nfs-server',
        'vmhost',
        'zfs',
    },
    'groups': set(),
    'metadata': {
        'interfaces': {
            'br0.42': {
                'ips': {
                    '172.19.138.20/24',
                },
                'gateway4': '172.19.138.1',
            },
        },
        'backups': {
            # This *is* the backup server
            'exclude_from_backups': True,
        },
        'backup-server': {
            'zfs-base': 'storage/backups',
        },
        'nfs-server': {
            'shares': {
                '/storage/nas': {
                    '172.19.138.0/24(ro,all_squash,anonuid=65534,anongid=65534)',
                },
            },
        },
        'systemd-networkd': {
            'bonds': {
                'bond0': {
                    'match': {
                        'enp8*',
                        'enp9*',
                    },
                },
            },
            'bridges': {
                'br0': {
                    'match': {
                        'bond0',
                    },
                },
            },
        },
        'users': {
            'kunsi': {
                'groups': {
                    'libvirt',
                },
            },
        },
        'zfs': {
            'pools': {
                # Configured manually. Don't touch!
                'storage': {
                    'raidz2': {
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8GE15GR',
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8HJ406R',
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8HJBTLR',
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8HJGN6R',
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8HJU4NR',
                        '/dev/disk/by-id/ata-WDC_WD6003FFBX-68MU3N0_V8J8ZKRR',
                    },
                },
            },
            'datasets': {
                'storage/backups': {},
                'storage/f2k1de': {
                    'mountpoint': '/storage/f2k1de',
                },
                'storage/nas': {
                    'mountpoint': '/storage/nas',
                },
            },
        },
        'vm': {
            'cpu': 8,
            'ram': 16,
        },
    },
    'os': 'debian',
    'os_version': (11,),
}
